precision mediump float;
varying vec2 vTextureCoord;

uniform sampler2D sTexture;

uniform float uProgress;// result:(0 ~ 1)

vec4 animate (vec2 uv);

void main() {
    gl_FragColor = animate(vTextureCoord);
}

vec4 animate (vec2 uv) {
    vec4 textureColor = texture2D(sTexture, uv);
    float alpha = uProgress;
    return vec4(textureColor.rgb, alpha * textureColor.a);
}
